#ifndef _PASSWORD_H
#define _PASSWORD_H

#include <Window.h>
#include <View.h>
#include <Button.h>
#include <TextControl.h>

class TPassword : public BWindow
{
public:
	TPassword(BRect frame);
	bool QuitRequested();
	void MessageReceived(BMessage *msg);
	bool InitCheck() const { return fInitCheck; };
	const char *NewName() const { return UserName->Text(); };
	const char *NewPassword() const { return Password->Text(); };
	void Open(const char *userName);
	int InputCheck() const { return fInputCheck; };
private:
	bool fInitCheck;
	volatile int fInputCheck;
	BView *BGView;
	BTextControl *UserName;
	BTextControl *Password;
	BTextControl *Retype;
	BButton *OKButton;
	BButton *CancelButton;
};


#endif
