#ifndef _MOUNT_DIALOG_H
#define _MOUNT_DIALOG_H

#include <Window.h>
#include <View.h>
#include <TextControl.h>
#include <CheckBox.h>
#include <Button.h>
#include <String.h>


class TMountDialog : public BWindow
{
public:
	TMountDialog(BRect rect, const char *title,
		const char *server, const char *shareName, const char *mountPoint);
	~TMountDialog();
	void MessageReceived(BMessage *msg);
	
private:
	BTextControl *UserName;
	BTextControl *Password;
	BCheckBox *Guest;
	BButton *MountButton;
	BButton *CancelButton;
	
	BString Server;
	BString ShareName;
	BString MountPoint;
	
	void Mount();
};

#endif
