#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "mount_netbfs.h"

int main(int argc, char *argv[])
{
	if (argc != 7) {
		printf("Usage: mount_netbfs server port share_name mountpoint username password\n");
		return 1;
	}
	
	const char *server_address = argv[1];
	const char *port = argv[2];
	const char *shareName = argv[3];
	const char *mountPoint = argv[4];
	const char *userName = argv[5];
	const char *password = argv[6];
	
	int result = mount_netbfs(server_address, atoi(port),
		shareName, mountPoint, userName, password);
	printf("mount_netbfs: %s\n", strerror(result));
	
	return 0;
}
