#ifndef _GBUTILS_H
#define _GBUTILS_H

#include <View.h>
#include "Authorization.h"
#include "Preference.h"
#include "Password.h"

enum {
	AUTHORIZED = 'auth',
	SHAREMENU_SELECTED = 'shse',
	OK_BTN_CLICKED = 'okbt',
	CANCEL_BTN_CLICKED = 'cabt',
	NEW_USER_CLICKED = 'nwuc',
	REMOVE_USER_CLICKED = 'rmuc',
	CHANGE_PASSWD_CLICKED = 'chpc',
	NEW_SHARE_CLICKED = 'nwsc',
	REMOVE_SHARE_CLICKED = 'rmsc',
	APPLY_SHARE_CLICKED = 'apsc',
};

#define INSTANTIATE(type, a, b)								\
	a = dynamic_cast<type *>(FindView(b));					\
	if (a == NULL) {										\
		fprintf(stderr, "\"%s\" not found.\n", b);			\
		return;												\
	}

status_t GetBGView(const char *RsrcName, BView **BGView);

extern TPreference *PreferenceWindow;
extern TAuthorization *AuthorizationWindow;
extern TPassword *PasswordWindow;


#endif
